# Generated by Django 4.0.4 on 2022-05-05 06:55

import uuid

import django.db.models.deletion
import djmoney.models.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("app", "0010_remove_bankaccount_tg_user_tguser_card"),
    ]

    operations = [
        migrations.CreateModel(
            name="User_and_account",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("account", models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to="app.bankaccount")),
                ("user", models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to="app.tguser")),
            ],
        ),
        migrations.CreateModel(
            name="Transaction",
            fields=[
                ("uuid", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                (
                    "amount_currency",
                    djmoney.models.fields.CurrencyField(
                        choices=[
                            ("AMD", "AMD"),
                            ("AUD", "AUD"),
                            ("AZN", "AZN"),
                            ("BGN", "BGN"),
                            ("BRL", "BRL"),
                            ("BYN", "BYN"),
                            ("CAD", "CAD"),
                            ("CHF", "CHF"),
                            ("CNY", "CNY"),
                            ("CZK", "CZK"),
                            ("DKK", "DKK"),
                            ("EUR", "EUR"),
                            ("GBP", "GBP"),
                            ("HKD", "HKD"),
                            ("HUF", "HUF"),
                            ("INR", "INR"),
                            ("JPY", "JPY"),
                            ("KGS", "KGS"),
                            ("KRW", "KRW"),
                            ("KZT", "KZT"),
                            ("MDL", "MDL"),
                            ("NOK", "NOK"),
                            ("PLN", "PLN"),
                            ("RON", "RON"),
                            ("RUB", "RUB"),
                            ("SEK", "SEK"),
                            ("SGD", "SGD"),
                            ("TJS", "TJS"),
                            ("TMT", "TMT"),
                            ("TRY", "TRY"),
                            ("UAH", "UAH"),
                            ("USD", "USD"),
                            ("UZS", "UZS"),
                            ("XDR", "XDR"),
                            ("ZAR", "ZAR"),
                        ],
                        default="XYZ",
                        editable=False,
                        max_length=3,
                    ),
                ),
                ("amount", djmoney.models.fields.MoneyField(decimal_places=2, max_digits=15)),
                (
                    "recipient",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT, related_name="recipient", to="app.user_and_account"
                    ),
                ),
                (
                    "sender",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT, related_name="sender", to="app.user_and_account"
                    ),
                ),
            ],
        ),
        migrations.AddConstraint(
            model_name="user_and_account",
            constraint=models.UniqueConstraint(fields=("user", "account"), name="user_and_account"),
        ),
    ]
